scala.actors

# Reactor

#### trait Reactor[Msg >: Null] extends OutputChannel[Msg] with Combinators

Super trait of all actor traits.

Source
  Reactor.scala

Linear Supertypes
Combinators, OutputChannel[Msg], AnyRef, Any
Known Subclasses
Actor, DaemonActor, InternalReplyReactor, ReplyReactor, SwingWorker
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Reactor
2. Combinators
3. OutputChannel
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def act(): Unit

   The reactor's behavior is specified by implementing this method.

### Concrete Value Members

1. #### def !(msg: Msg): Unit

   Sends `msg` to this reactor (asynchronous).

   Sends `msg` to this reactor (asynchronous).

   msg

     the message to send

   Definition Classes
     Reactor → OutputChannel

2. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

3. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

4. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

5. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Reactor[Msg] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

6. #### def ->[B](y: B): (Reactor[Msg], B)

   Implicit information
     This member is added by an implicit conversion from Reactor[Msg] to ArrowAssoc[Reactor[Msg]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

7. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

11. #### def continue(): Unit

    Continues with the execution of the closure registered as continuation following `andThen`.

    Continues with the execution of the closure registered as continuation following `andThen`. Continues with the execution of the next loop iteration when invoked inside the body of `loop` or `loopWhile`.

    Definition Classes
      Combinators

12. #### def ensuring(cond: (Reactor[Msg]) ⇒ Boolean, msg: ⇒ Any): Reactor[Msg]

    Implicit information
      This member is added by an implicit conversion from Reactor[Msg] to Ensuring[Reactor[Msg]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (Reactor[Msg]) ⇒ Boolean): Reactor[Msg]

    Implicit information
      This member is added by an implicit conversion from Reactor[Msg] to Ensuring[Reactor[Msg]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): Reactor[Msg]

    Implicit information
      This member is added by an implicit conversion from Reactor[Msg] to Ensuring[Reactor[Msg]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): Reactor[Msg]

    Implicit information
      This member is added by an implicit conversion from Reactor[Msg] to Ensuring[Reactor[Msg]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

18. #### def exceptionHandler: PartialFunction[Exception, Unit]

    This partial function is applied to exceptions that propagate out of this reactor's body.

    This partial function is applied to exceptions that propagate out of this reactor's body.

    Attributes
      protected[scala.actors]

19. #### def exit(): Nothing

    Attributes
      protected[scala.actors]

20. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

21. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Reactor[Msg] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### def forward(msg: Msg): Unit

    Forwards `msg` to this reactor (asynchronous).

    Forwards `msg` to this reactor (asynchronous).

    msg

      the message to forward

    Definition Classes
      Reactor → OutputChannel

23. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### def getState: Actor.State.Value

    Returns the execution state of this reactor.

    Returns the execution state of this reactor.

    returns

      the execution state

25. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

27. #### def loop(body: ⇒ Unit): Unit

    Repeatedly executes `body`.

    Repeatedly executes `body`.

    body

      the block to be executed

    Definition Classes
      Combinators

28. #### def loopWhile(cond: ⇒ Boolean)(body: ⇒ Unit): Unit

    Repeatedly executes `body` while the condition `cond` is `true`.

    Repeatedly executes `body` while the condition `cond` is `true`.

    cond

      the condition to test

    body

      the block to be executed

    Definition Classes
      Combinators

29. #### def mailboxSize: Int

    Attributes
      protected[scala.actors]

30. #### implicit def mkBody[A](body: ⇒ A): Body[A]

    Enables the composition of suspendable closures using `andThen`, `loop`, `loopWhile`, etc.

    Enables the composition of suspendable closures using `andThen`, `loop`, `loopWhile`, etc.

    Definition Classes
      Reactor → Combinators

31. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

33. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

34. #### def react(handler: PartialFunction[Msg, Unit]): Nothing

    Receives a message from this reactor's mailbox.

    Receives a message from this reactor's mailbox.

    This method never returns. Therefore, the rest of the computation has to be contained in the actions of the partial function.

    handler

      a partial function with message patterns and actions

    Attributes
      protected

35. #### def receiver: Actor

    Returns the `Actor` that is receiving from this reactor.

    Returns the `Actor` that is receiving from this reactor.

    Definition Classes
      Reactor → OutputChannel

36. #### def restart(): Unit

    Restarts this reactor.

    Restarts this reactor.

    Exceptions thrown
      java.lang.IllegalStateException

      if the reactor is not in state `Actor.State.Terminated`

37. #### def scheduler: IScheduler

    Attributes
      protected[scala.actors]

38. #### def send(msg: Msg, replyTo: OutputChannel[Any]): Unit

    Sends `msg` to this reactor (asynchronous) supplying explicit reply destination.

    Sends `msg` to this reactor (asynchronous) supplying explicit reply destination.

    msg

      the message to send

    replyTo

      the reply destination

    Definition Classes
      Reactor → OutputChannel

39. #### def start(): Reactor[Msg]

    Starts this reactor.

    Starts this reactor. This method is idempotent.

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

45. #### def →[B](y: B): (Reactor[Msg], B)

    Implicit information
      This member is added by an implicit conversion from Reactor[Msg] to ArrowAssoc[Reactor[Msg]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reactor[Msg] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reactor: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reactor[Msg] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reactor: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Reactor[Msg]

   Implicit information
     This member is added by an implicit conversion from Reactor[Msg] to ArrowAssoc[Reactor[Msg]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reactor: ArrowAssoc[Reactor[Msg]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Reactor[Msg]

   Implicit information
     This member is added by an implicit conversion from Reactor[Msg] to Ensuring[Reactor[Msg]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reactor: Ensuring[Reactor[Msg]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Combinators

### Inherited from OutputChannel[Msg]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Reactor[Msg] to StringAdd

### Inherited by implicit conversion any2stringfmt from Reactor[Msg] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Reactor[Msg] to ArrowAssoc[Reactor[Msg]]

### Inherited by implicit conversion any2Ensuring from Reactor[Msg] to Ensuring[Reactor[Msg]]

### Ungrouped